<script src="<?php echo $urlAssets;?>plugin/easyautocomplete/jquery.easy-autocomplete.min.js"></script>
<link rel="stylesheet" href="<?php echo $urlAssets;?>plugin/easyautocomplete/easy-autocomplete.min.css">
<style>
.col-center-block {
    float: none;
    display: block;
    margin-left: auto;
    margin-right: auto;
}
</style>
<?php echo $header;?>

<?php if ($error):?>
    <div class="alert alert-danger alert-dismissible">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        <?php echo $error;?>
    </div>
<?php else:?>
    <div class="container">
        <div class="row">
            <div class="col-sm-8 col-center-block">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong><?php echo $lang->out("page_send_sms_customer_title");?></strong>&nbsp;&nbsp;<i class="fa fa-sync fa-spin hide" id="customerMessageFormLoading"></i>
                    </div>
                    <form class="form-horizontal" onsubmit="return false;" id="customerMessageForm">
                        <div class="panel-body">
                            <div id="customerMessageFormInfo"></div>
                            <input type="hidden" name="customermessagetoken" value="<?php echo $customermessagetoken;?>">
                            <div class="form-group">
                                <label class="control-label col-sm-2"><?php echo $lang->out("page_send_sms_customer_form_label_customer");?></label>
                                <div class="col-sm-10">
                                    <input type="text" id="customer" value="" class="form-control input-sm">
                                    <span class="help-block"><?php echo $lang->out("page_send_sms_customer_form_help_customer");?></span>
                                    <input type="hidden" name="id" id="customerid">
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-sm-2"><?php echo $lang->out("page_send_sms_customer_form_label_message");?></label>
                                <div class="col-sm-10">
                                    <textarea name="message" id="message" class="form-control input-sm" rows="10"></textarea>
                                    <span class="help-block"><?php echo $lang->out("page_send_sms_customer_form_help_message");?></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-2"></label>
                                <div class="col-sm-10">
                                    <button type="submit" id="customerMessageFormSubmit" class="btn btn-danger"><?php echo $lang->out("tpl_btn_send");?></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php endif;?>

<?php echo $footer;?>
<script>
jQuery(document).ready(function() {
    jQuery("form#customerMessageForm").submit(function(e)
    {
        var loading = jQuery("#customerMessageFormLoading"),
            submitBtn = jQuery("#customerMessageFormSubmit"),
            infoBox = jQuery("#customerMessageFormInfo");

        jQuery.post({
            url: "<?php echo $urlAdmin;?>&route=admin_send_sendcustomer",
            data:jQuery(e.target).serialize(),
            beforeSend : function() {
                infoBox.empty().removeClass().hide();
                loading.removeClass("hide");
                submitBtn.prop("disabled", true);
            }
        }).done(function(response) {
            try
            {
                response = jQuery.parseJSON(response);

                if (response.status === "error") {
                    infoBox.addClass("alert alert-danger").text(response.result).show();
                } else {
                    infoBox.addClass("alert alert-success").text(response.result).show();
                    jQuery("input#customer").val('');
                    jQuery("input#customerid").val('');
                    jQuery("#message").val('');
                }
            }
            catch(parseError)
            {
                console.log(response);
                console.error(parseError);
            }
        })
        .fail(function(jqXHR, textStatus, errorThrown) {
            console.error(textStatus);
            console.error(errorThrown);
        })
        .always(function() {
            loading.addClass("hide");
            submitBtn.prop("disabled", false);
        });
    });

    jQuery("input#customer").easyAutocomplete({
        url : function(phrase) {
            return "<?php echo $urlAdmin;?>&route=admin_send_customer_client";
        },
        getValue : function(element) {
            var title = "#" + element.id + " " + element.fullname;
            if (element.domain != null) {
                title = title + " " + element.domain;
            }

            return title;
        },
        ajaxSettings : {
            method : "POST",
            data : {
                dataType : "json"
            }
        },
        preparePostData : function(data) {
            data.phrase = jQuery("input#customer").val();
            data.customermessagetoken = "<?php echo $customermessagetoken;?>";
            return data;
        },
        list : {
            onChooseEvent : function() {
                jQuery("input#customerid").val(jQuery("input#customer").getSelectedItemData().id);
            }
        },
        requestDelay : 100
    });
});
</script>