<style>
.col-center-block {
    float: none;
    display: block;
    margin-left: auto;
    margin-right: auto;
}
</style>
<?php echo $header;?>

<?php if ($error):?>
    <div class="alert alert-danger alert-dismissible">
        <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
        <?php echo $error;?>
    </div>
<?php else:?>
    <div class="container">
        <div class="row">
            <div class="col-sm-8 col-center-block">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <strong><?php echo $lang->out("page_send_sms_group_title");?></strong>&nbsp;&nbsp;<i class="fa fa-sync fa-spin hide" id="groupMessageFormLoading"></i>
                    </div>
                    <form class="form-horizontal" onsubmit="return false;" id="groupMessageForm">
                        <div class="panel-body">
                            <div id="groupMessageFormInfo"></div>
                            <input type="hidden" name="groupmessagetoken" value="<?php echo $groupmessagetoken;?>">
                            <div class="form-group">
                                <label class="control-label col-sm-2"><?php echo $lang->out("page_send_sms_group_form_label_group");?></label>
                                <div class="col-sm-10">
                                    <select name="groupid" id="groupid" class="form-control">
                                        <?php echo $lang->out("tpl_form_select_please");?>
                                        <?php foreach ($customergroups as $customergroup):?>
                                            <option value="<?php echo $customergroup->id;?>"><?php echo $customergroup->name;?></option>
                                        <?php endforeach;?>
                                    </select>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-sm-2"><?php echo $lang->out("page_send_sms_group_form_label_message");?></label>
                                <div class="col-sm-10">
                                    <textarea name="message" id="message" class="form-control input-sm" rows="10"></textarea>
                                    <span class="help-block"><?php echo $lang->out("page_send_sms_group_form_help_message");?></span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-2"></label>
                                <div class="col-sm-10">
                                    <button type="submit" id="groupMessageFormSubmit" class="btn btn-danger"><?php echo $lang->out("tpl_btn_send");?></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php endif;?>

<?php echo $footer;?>
<script>
jQuery(document).ready(function() {
    jQuery("form#groupMessageForm").submit(function(e)
    {
        var loading = jQuery("#groupMessageFormLoading"),
            submitBtn = jQuery("#groupMessageFormSubmit"),
            infoBox = jQuery("#groupMessageFormInfo");

        jQuery.post({
            url: "<?php echo $urlAdmin;?>&route=admin_send_sendgroup",
            data:jQuery(e.target).serialize(),
            beforeSend : function() {
                infoBox.empty().removeClass().addClass("alert alert-info").text('<?php echo $lang->out("ajax_form_wait_response");?>').show();
                loading.removeClass("hide");
                submitBtn.prop("disabled", true);
            }
        }).done(function(response) {
            try
            {
                response = jQuery.parseJSON(response);

                if (response.status === "error") {
                    infoBox.empty().removeClass().addClass("alert alert-danger").text(response.result).show();
                } else {
                    infoBox.empty().removeClass().addClass("alert alert-success").html(response.result).show();
                    $("select#groupid").prop('selectedIndex', 0);
                    jQuery("#message").val('');
                }
            }
            catch(parseError)
            {
                console.log(response);
                console.error(parseError);
            }
        })
        .fail(function(jqXHR, textStatus, errorThrown) {
            console.error(textStatus);
            console.error(errorThrown);
        })
        .always(function() {
            loading.addClass("hide");
            submitBtn.prop("disabled", false);
        });
    });
});
</script>